Bug 137059 - [new port]: devel/hs-ghc-paths-docs
[new port]: devel/hs-ghc-paths-docs
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Gabor Pali
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-24 17:20 UTC by jacula
Modified: 2009-09-02 18:00 UTC (History)
0 users

See Also:


Attachments
hs-ghc-paths-docs.shar (3.21 KB, text/plain)
2009-07-24 17:20 UTC, jacula
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jacula 2009-07-24 17:20:02 UTC
See the PR: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/137055
Comment 1 Edwin Groothuis freebsd_committer 2009-07-24 17:20:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->haskell

haskell@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Wesley Shields freebsd_committer 2009-07-24 20:29:11 UTC
Responsible Changed
From-To: haskell->wxs

I'll take it.
Comment 3 Gabor Pali freebsd_committer 2009-08-28 21:08:21 UTC
Responsible Changed
From-To: wxs->pgj

Over to me.
Comment 4 dfilter freebsd_committer 2009-09-02 16:39:00 UTC
pgj         2009-09-02 15:38:45 UTC

  FreeBSD ports repository

  Modified files:
    archivers/hs-zip-archive-ghc Makefile pkg-plist 
    archivers/hs-zlib    Makefile distinfo pkg-descr pkg-plist 
    devel                Makefile 
    devel/darcs          Makefile pkg-plist 
    devel/hs-Stream      Makefile distinfo pkg-plist 
    devel/hs-alex        Makefile pkg-plist 
    devel/hs-binary-ghc  Makefile pkg-plist 
    devel/hs-c2hs        Makefile 
    devel/hs-cpphs       Makefile distinfo 
    devel/hs-dlist       Makefile distinfo pkg-descr pkg-plist 
    devel/hs-drift       Makefile 
    devel/hs-haddock     Makefile distinfo pkg-descr pkg-plist 
    devel/hs-haddock-docs Makefile distinfo pkg-message pkg-plist 
    devel/hs-happy       Makefile distinfo pkg-descr pkg-plist 
    devel/hs-hat         Makefile 
    devel/hs-hdoc        Makefile pkg-descr 
    devel/hs-hmake       Makefile pkg-plist 
    devel/hs-idoc        Makefile pkg-descr 
    devel/hs-language-c-ghc Makefile pkg-plist 
    devel/hs-lazysmallcheck-ghc Makefile pkg-plist 
    devel/hs-pcre-light-ghc Makefile pkg-descr pkg-plist 
    devel/hs-utf8-string-ghc Makefile distinfo pkg-descr pkg-plist 
    devel/hs-uuagc       Makefile distinfo pkg-descr pkg-plist 
    devel/hs-uulib       Makefile distinfo pkg-descr pkg-plist 
    devel/lhs2TeX        Makefile 
    graphics/hs-HGL-ghc  Makefile pkg-descr pkg-plist 
    lang                 Makefile 
    lang/ghc             Makefile distinfo pkg-plist 
    ports-mgmt/porte     Makefile pkg-plist 
    print/hs-hscolour    Makefile distinfo pkg-descr pkg-plist 
    print/hs-hscolour-docs Makefile distinfo pkg-plist 
    security/hs-digest-ghc Makefile distinfo pkg-descr pkg-plist 
    textproc/hs-bytestring-csv Makefile pkg-plist 
    textproc/hs-haxml    Makefile distinfo pkg-descr pkg-plist 
    textproc/hs-highlighting-kate-ghc Makefile distinfo pkg-descr 
                                      pkg-plist 
    textproc/hs-polyparse-ghc Makefile distinfo pkg-plist 
    textproc/hs-stringsearch Makefile pkg-plist 
    x11/hs-x11-ghc       Makefile pkg-descr pkg-plist 
    x11/hs-x11-xft-ghc   Makefile pkg-descr pkg-plist 
    x11/xmobar           Makefile distinfo pkg-plist 
    x11-toolkits/hs-glut-ghc Makefile distinfo pkg-plist 
    x11-toolkits/hs-gtk2hs Makefile pkg-plist 
    x11-toolkits/hs-opengl-ghc Makefile distinfo pkg-plist 
    x11-wm/xmonad        Makefile pkg-descr pkg-plist 
    x11-wm/xmonad-contrib Makefile pkg-descr pkg-plist 
  Added files:
    devel/hs-QuickCheck  Makefile distinfo pkg-descr pkg-plist 
    devel/hs-QuickCheck/files patch-QuickCheck.cabal 
    devel/hs-c2hs        pkg-plist 
    devel/hs-cpphs       pkg-plist 
    devel/hs-ghc-paths   Makefile distinfo pkg-descr pkg-plist 
    devel/hs-ghc-paths-docs Makefile distinfo pkg-descr pkg-plist 
    devel/hs-happy/files patch-doc_configure.ac 
    devel/hs-haskeline   Makefile distinfo pkg-descr pkg-plist 
    devel/hs-hmake/files patch-src_hmake_Config.hs 
                         patch-src_hmake_MkConfig.hs 
                         patch-src_hmake_PackageConfig.hs 
    devel/hs-lazysmallcheck-ghc/files patch-lazysmallcheck.cabal 
    devel/hs-mmap        Makefile distinfo pkg-descr pkg-plist 
    devel/hs-readline    Makefile distinfo pkg-descr pkg-plist 
    devel/hs-readline/files patch-Setup.hs 
    graphics/hs-HGL-ghc/files patch-HGL.cabal 
    lang/ghc/files       patch-.._ghc-6.10.4-boot_configure 
                         patch-.._ghc-6.10.4-boot_rts_package.conf.in 
                         patch-libraries_Makefile 
                         patch-rts_package.conf.in testsuite.sh.in 
    textproc/hs-haxml/files patch-HaXml.cabal 
  Removed files:
    devel/hs-haddock/files patch-src-Haddock-GHC-Typecheck.hs 
    devel/hs-haddock-docs/files patch-src-Haddock-GHC-Typecheck.hs 
    devel/hs-happy/files patch-configure 
    lang/ghc/files       patch-ghc-rts-package.conf.in 
                         pkg-message.haddock.in 
    lang/ghc-doc         Makefile distinfo pkg-descr 
  Log:
  - Update GHC and Haskell ports to 6.10.4 (for both i386 and amd64), bump
    port revision where appropriate
  - Add devel/hs-ghc-paths
  - Add devel/hs-QuickCheck
  - Add devel/hs-readline
  - Add devel/hs-haskeline
  - Add devel/hs-mmap
  - Remove lang/ghc-doc
  - Mark devel/lhs2TeX broken as it does not compile with GHC 6.10.4
  - Set NHC98 as default compiler for devel/hs-hat as it does not compile
    with GHC 6.10.4
  
  PR:             ports/137055, ports/137058, ports/137059, ports/137060, ports/137061,
                  ports/137062, ports/137063, ports/137063, ports/137064, ports/137065,
                  ports/137066, ports/137067, ports/137068, ports/137069, ports/137070,
                  ports/137071, ports/137072, ports/137074, ports/137075, ports/137076,
                  ports/137077, ports/137078, ports/137079, ports/137080, ports/137081,
                  ports/137082, ports/137083, ports/137084, ports/137085, ports/137086,
                  ports/137087, ports/137088, ports/137090, ports/137091, ports/137092,
                  ports/137093, ports/137094, ports/137095, ports/137096, ports/137097,
                  ports/137098, ports/137099, ports/137102, ports/137103, ports/137104,
                  ports/137107, ports/137108, ports/137109, ports/137110, ports/137111
  
  Submitted by:   Jacula Modyun (jacula (at) gmail (dot) com),
                  Ashish Shukla (wahjava (at) gmail (dot) com) (amd64 support)
  Supported by:   wxs (review, amd64 testing), tabthorpe (8.x testing)
  Approved by:    tabthorpe (mentor), respective maintainers
  
  Revision  Changes      Path
  1.4       +45 -23      ports/archivers/hs-zip-archive-ghc/Makefile
  1.3       +15 -12      ports/archivers/hs-zip-archive-ghc/pkg-plist
  1.5       +50 -13      ports/archivers/hs-zlib/Makefile
  1.2       +3 -3        ports/archivers/hs-zlib/distinfo
  1.2       +1 -1        ports/archivers/hs-zlib/pkg-descr
  1.3       +17 -16      ports/archivers/hs-zlib/pkg-plist
  1.3617    +6 -0        ports/devel/Makefile
  1.55      +2 -3        ports/devel/darcs/Makefile
  1.24      +1 -0        ports/devel/darcs/pkg-plist
  1.1       +74 -0       ports/devel/hs-QuickCheck/Makefile (new)
  1.1       +3 -0        ports/devel/hs-QuickCheck/distinfo (new)
  1.1       +11 -0       ports/devel/hs-QuickCheck/files/patch-QuickCheck.cabal (new)
  1.1       +10 -0       ports/devel/hs-QuickCheck/pkg-descr (new)
  1.1       +25 -0       ports/devel/hs-QuickCheck/pkg-plist (new)
  1.4       +55 -13      ports/devel/hs-Stream/Makefile
  1.2       +3 -3        ports/devel/hs-Stream/distinfo
  1.2       +11 -10      ports/devel/hs-Stream/pkg-plist
  1.28      +2 -1        ports/devel/hs-alex/Makefile
  1.8       +1 -0        ports/devel/hs-alex/pkg-plist
  1.6       +43 -20      ports/devel/hs-binary-ghc/Makefile
  1.4       +18 -16      ports/devel/hs-binary-ghc/pkg-plist
  1.41      +43 -21      ports/devel/hs-c2hs/Makefile
  1.9       +6 -0        ports/devel/hs-c2hs/pkg-plist (new)
  1.17      +55 -5       ports/devel/hs-cpphs/Makefile
  1.14      +3 -3        ports/devel/hs-cpphs/distinfo
  1.1       +33 -0       ports/devel/hs-cpphs/pkg-plist (new)
  1.4       +51 -14      ports/devel/hs-dlist/Makefile
  1.2       +3 -3        ports/devel/hs-dlist/distinfo
  1.2       +1 -1        ports/devel/hs-dlist/pkg-descr
  1.2       +11 -10      ports/devel/hs-dlist/pkg-plist
  1.23      +2 -0        ports/devel/hs-drift/Makefile
  1.1       +46 -0       ports/devel/hs-ghc-paths-docs/Makefile (new)
  1.1       +3 -0        ports/devel/hs-ghc-paths-docs/distinfo (new)
  1.1       +2 -0        ports/devel/hs-ghc-paths-docs/pkg-descr (new)
  1.1       +18 -0       ports/devel/hs-ghc-paths-docs/pkg-plist (new)
  1.1       +55 -0       ports/devel/hs-ghc-paths/Makefile (new)
  1.1       +3 -0        ports/devel/hs-ghc-paths/distinfo (new)
  1.1       +3 -0        ports/devel/hs-ghc-paths/pkg-descr (new)
  1.1       +14 -0       ports/devel/hs-ghc-paths/pkg-plist (new)
  1.8       +25 -18      ports/devel/hs-haddock-docs/Makefile
  1.3       +3 -3        ports/devel/hs-haddock-docs/distinfo
  1.2       +0 -27       ports/devel/hs-haddock-docs/files/patch-src-Haddock-GHC-Typecheck.hs (dead)
  1.2       +1 -3        ports/devel/hs-haddock-docs/pkg-message
  1.5       +32 -5       ports/devel/hs-haddock-docs/pkg-plist
  1.35      +34 -12      ports/devel/hs-haddock/Makefile
  1.13      +3 -3        ports/devel/hs-haddock/distinfo
  1.2       +0 -27       ports/devel/hs-haddock/files/patch-src-Haddock-GHC-Typecheck.hs (dead)
  1.3       +2 -5        ports/devel/hs-haddock/pkg-descr
  1.11      +11 -5       ports/devel/hs-haddock/pkg-plist
  1.25      +2 -3        ports/devel/hs-happy/Makefile
  1.12      +3 -3        ports/devel/hs-happy/distinfo
  1.3       +0 -14       ports/devel/hs-happy/files/patch-configure (dead)
  1.1       +11 -0       ports/devel/hs-happy/files/patch-doc_configure.ac (new)
  1.3       +1 -1        ports/devel/hs-happy/pkg-descr
  1.10      +1 -0        ports/devel/hs-happy/pkg-plist
  1.1       +79 -0       ports/devel/hs-haskeline/Makefile (new)
  1.1       +3 -0        ports/devel/hs-haskeline/distinfo (new)
  1.1       +7 -0        ports/devel/hs-haskeline/pkg-descr (new)
  1.1       +42 -0       ports/devel/hs-haskeline/pkg-plist (new)
  1.48      +9 -4        ports/devel/hs-hat/Makefile
  1.16      +15 -1       ports/devel/hs-hdoc/Makefile
  1.3       +1 -1        ports/devel/hs-hdoc/pkg-descr
  1.27      +8 -5        ports/devel/hs-hmake/Makefile
  1.1       +20 -0       ports/devel/hs-hmake/files/patch-src_hmake_Config.hs (new)
  1.1       +20 -0       ports/devel/hs-hmake/files/patch-src_hmake_MkConfig.hs (new)
  1.1       +22 -0       ports/devel/hs-hmake/files/patch-src_hmake_PackageConfig.hs (new)
  1.6       +1 -0        ports/devel/hs-hmake/pkg-plist
  1.15      +2 -1        ports/devel/hs-idoc/Makefile
  1.2       +1 -1        ports/devel/hs-idoc/pkg-descr
  1.2       +42 -20      ports/devel/hs-language-c-ghc/Makefile
  1.2       +51 -49      ports/devel/hs-language-c-ghc/pkg-plist
  1.2       +42 -20      ports/devel/hs-lazysmallcheck-ghc/Makefile
  1.1       +11 -0       ports/devel/hs-lazysmallcheck-ghc/files/patch-lazysmallcheck.cabal (new)
  1.2       +16 -14      ports/devel/hs-lazysmallcheck-ghc/pkg-plist
  1.1       +74 -0       ports/devel/hs-mmap/Makefile (new)
  1.1       +3 -0        ports/devel/hs-mmap/distinfo (new)
  1.1       +6 -0        ports/devel/hs-mmap/pkg-descr (new)
  1.1       +15 -0       ports/devel/hs-mmap/pkg-plist (new)
  1.4       +44 -21      ports/devel/hs-pcre-light-ghc/Makefile
  1.2       +2 -2        ports/devel/hs-pcre-light-ghc/pkg-descr
  1.3       +19 -14      ports/devel/hs-pcre-light-ghc/pkg-plist
  1.1       +74 -0       ports/devel/hs-readline/Makefile (new)
  1.1       +3 -0        ports/devel/hs-readline/distinfo (new)
  1.1       +8 -0        ports/devel/hs-readline/files/patch-Setup.hs (new)
  1.1       +4 -0        ports/devel/hs-readline/pkg-descr (new)
  1.1       +19 -0       ports/devel/hs-readline/pkg-plist (new)
  1.4       +42 -20      ports/devel/hs-utf8-string-ghc/Makefile
  1.4       +3 -3        ports/devel/hs-utf8-string-ghc/distinfo
  1.3       +4 -4        ports/devel/hs-utf8-string-ghc/pkg-descr
  1.4       +27 -20      ports/devel/hs-utf8-string-ghc/pkg-plist
  1.6       +2 -3        ports/devel/hs-uuagc/Makefile
  1.6       +3 -3        ports/devel/hs-uuagc/distinfo
  1.3       +3 -6        ports/devel/hs-uuagc/pkg-descr
  1.2       +1 -0        ports/devel/hs-uuagc/pkg-plist
  1.5       +29 -4       ports/devel/hs-uulib/Makefile
  1.2       +3 -3        ports/devel/hs-uulib/distinfo
  1.2       +3 -23       ports/devel/hs-uulib/pkg-descr
  1.2       +6 -5        ports/devel/hs-uulib/pkg-plist
  1.9       +6 -4        ports/devel/lhs2TeX/Makefile
  1.6       +12 -6       ports/graphics/hs-HGL-ghc/Makefile
  1.1       +11 -0       ports/graphics/hs-HGL-ghc/files/patch-HGL.cabal (new)
  1.2       +8 -21       ports/graphics/hs-HGL-ghc/pkg-descr
  1.3       +1 -0        ports/graphics/hs-HGL-ghc/pkg-plist
  1.656     +0 -1        ports/lang/Makefile
  1.20      +0 -45       ports/lang/ghc-doc/Makefile (dead)
  1.16      +0 -12       ports/lang/ghc-doc/distinfo (dead)
  1.2       +0 -3        ports/lang/ghc-doc/pkg-descr (dead)
  1.80      +162 -54     ports/lang/ghc/Makefile
  1.36      +30 -21      ports/lang/ghc/distinfo
  1.1       +11 -0       ports/lang/ghc/files/patch-.._ghc-6.10.4-boot_configure (new)
  1.1       +11 -0       ports/lang/ghc/files/patch-.._ghc-6.10.4-boot_rts_package.conf.in (new)
  1.4       +0 -10       ports/lang/ghc/files/patch-ghc-rts-package.conf.in (dead)
  1.1       +11 -0       ports/lang/ghc/files/patch-libraries_Makefile (new)
  1.1       +11 -0       ports/lang/ghc/files/patch-rts_package.conf.in (new)
  1.2       +0 -9        ports/lang/ghc/files/pkg-message.haddock.in (dead)
  1.1       +9 -0        ports/lang/ghc/files/testsuite.sh.in (new)
  1.30      +2353 -1456  ports/lang/ghc/pkg-plist
  1.6       +53 -12      ports/ports-mgmt/porte/Makefile
  1.3       +13 -12      ports/ports-mgmt/porte/pkg-plist
  1.5       +9 -4        ports/print/hs-hscolour-docs/Makefile
  1.5       +3 -3        ports/print/hs-hscolour-docs/distinfo
  1.4       +39 -0       ports/print/hs-hscolour-docs/pkg-plist
  1.7       +4 -5        ports/print/hs-hscolour/Makefile
  1.5       +3 -3        ports/print/hs-hscolour/distinfo
  1.4       +8 -29       ports/print/hs-hscolour/pkg-descr
  1.4       +5 -3        ports/print/hs-hscolour/pkg-plist
  1.4       +42 -21      ports/security/hs-digest-ghc/Makefile
  1.4       +3 -3        ports/security/hs-digest-ghc/distinfo
  1.2       +1 -0        ports/security/hs-digest-ghc/pkg-descr
  1.3       +16 -14      ports/security/hs-digest-ghc/pkg-plist
  1.4       +52 -13      ports/textproc/hs-bytestring-csv/Makefile
  1.2       +15 -14      ports/textproc/hs-bytestring-csv/pkg-plist
  1.42      +49 -21      ports/textproc/hs-haxml/Makefile
  1.16      +3 -3        ports/textproc/hs-haxml/distinfo
  1.1       +11 -0       ports/textproc/hs-haxml/files/patch-HaXml.cabal (new)
  1.4       +1 -1        ports/textproc/hs-haxml/pkg-descr
  1.17      +48 -47      ports/textproc/hs-haxml/pkg-plist
  1.5       +42 -21      ports/textproc/hs-highlighting-kate-ghc/Makefile
  1.3       +3 -3        ports/textproc/hs-highlighting-kate-ghc/distinfo
  1.3       +4 -3        ports/textproc/hs-highlighting-kate-ghc/pkg-descr
  1.4       +77 -74      ports/textproc/hs-highlighting-kate-ghc/pkg-plist
  1.2       +44 -23      ports/textproc/hs-polyparse-ghc/Makefile
  1.2       +3 -3        ports/textproc/hs-polyparse-ghc/distinfo
  1.2       +24 -29      ports/textproc/hs-polyparse-ghc/pkg-plist
  1.6       +50 -12      ports/textproc/hs-stringsearch/Makefile
  1.3       +15 -14      ports/textproc/hs-stringsearch/pkg-plist
  1.7       +51 -29      ports/x11-toolkits/hs-glut-ghc/Makefile
  1.3       +3 -3        ports/x11-toolkits/hs-glut-ghc/distinfo
  1.4       +36 -33      ports/x11-toolkits/hs-glut-ghc/pkg-plist
  1.39      +43 -6       ports/x11-toolkits/hs-gtk2hs/Makefile
  1.14      +495 -488    ports/x11-toolkits/hs-gtk2hs/pkg-plist
  1.7       +51 -29      ports/x11-toolkits/hs-opengl-ghc/Makefile
  1.4       +3 -3        ports/x11-toolkits/hs-opengl-ghc/distinfo
  1.3       +104 -99     ports/x11-toolkits/hs-opengl-ghc/pkg-plist
  1.10      +56 -20      ports/x11-wm/xmonad-contrib/Makefile
  1.2       +1 -1        ports/x11-wm/xmonad-contrib/pkg-descr
  1.6       +154 -151    ports/x11-wm/xmonad-contrib/pkg-plist
  1.10      +46 -17      ports/x11-wm/xmonad/Makefile
  1.2       +1 -1        ports/x11-wm/xmonad/pkg-descr
  1.5       +19 -15      ports/x11-wm/xmonad/pkg-plist
  1.11      +47 -30      ports/x11/hs-x11-ghc/Makefile
  1.2       +1 -1        ports/x11/hs-x11-ghc/pkg-descr
  1.5       +42 -39      ports/x11/hs-x11-ghc/pkg-plist
  1.3       +42 -19      ports/x11/hs-x11-xft-ghc/Makefile
  1.2       +3 -3        ports/x11/hs-x11-xft-ghc/pkg-descr
  1.3       +14 -9       ports/x11/hs-x11-xft-ghc/pkg-plist
  1.5       +1 -2        ports/x11/xmobar/Makefile
  1.2       +3 -3        ports/x11/xmobar/distinfo
  1.3       +1 -0        ports/x11/xmobar/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Gabor Pali freebsd_committer 2009-09-02 18:00:37 UTC
State Changed
From-To: open->closed

Committed.  Thanks!